Bug 242289 - Nautilus Integration plugin should be enabled in Pidgin by default so nautilus-sendo Just Works
Nautilus Integration plugin should be enabled in Pidgin by default so nautilu...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pidgin (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Bastien Nocera
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-02 20:38 EDT by vfiend
Modified: 2008-06-16 21:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:22:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to make nautilus-sendto force load itself on first run (2.92 KB, patch)
2008-05-27 13:01 EDT, Stu Tomlinson
no flags Details | Diff

  None (edit)
Description vfiend 2007-06-02 20:38:08 EDT
Description of problem: Nautilus-sendto only works when Pidgin's Nautilus
Integration plugin is enabled, and it isn't by default. This isn't very
discoverable for new users. Maybe it should be done on pidgin's end, but this is
an add-on package and Nautilus Integration is a seperately packaged plugin


Version-Release number of selected component (if applicable):
nautilus-sendto-0.10-4.fc7 , pidgin-2.0.0-3.fc7

How reproducible: Always


Steps to Reproduce:
1. Remove .purple directoy
2. Open Pidgin
  
Actual results: Nautilus integration isn't enabled, no indication in
nautilus-sendto that it needs to be, just pidgin integration missing in action


Expected results: Should be enabled by default and Just Work
Comment 1 Bastien Nocera 2008-03-26 12:10:41 EDT
Warren, is there a way for me to enable the pidgin plugin by default?
Comment 2 Bastien Nocera 2008-04-21 10:14:05 EDT
2008-04-21  Bastien Nocera  <hadess@hadess.net>

        * pidgin_plugin/nautilus-sendto-plugin.c (plugin_unload):
        Make the plugin invisible, so that it's loaded automatically on
        startup, and users don't need to enable it by hand
        https://bugzilla.redhat.com/show_bug.cgi?id=242289
Comment 3 Stu Tomlinson 2008-05-13 14:09:22 EDT
(In reply to comment #2)
> 2008-04-21  Bastien Nocera  <hadess@hadess.net>
> 
>         * pidgin_plugin/nautilus-sendto-plugin.c (plugin_unload):
>         Make the plugin invisible, so that it's loaded automatically on
>         startup, and users don't need to enable it by hand
>         https://bugzilla.redhat.com/show_bug.cgi?id=242289

Unfortunately that information was wrong, there is no automatic loading of
invisible plugins.

I have updated Pidgin in rawhide (2.4.1-3.fc10) to automatically load the
nautilus integration plugin for new profiles, but with it now hidden existing
users will have no way to turn this plugin on (or off).

Comment 4 Bastien Nocera 2008-05-13 15:12:22 EDT
Reopening for Pidgin to fix then.
Comment 5 Stu Tomlinson 2008-05-13 15:20:52 EDT
How can pidgin fix that the plugin is invisible? or do you want us to do
something else?
Comment 6 Bastien Nocera 2008-05-13 15:30:18 EDT
(In reply to comment #5)
> How can pidgin fix that the plugin is invisible? or do you want us to do
> something else?

Pidgin should enable the plugin by default. It has a static list of plugins that
it enables by default, and the nautilus-sendto plugin should be one of them.
Comment 7 Stu Tomlinson 2008-05-13 15:37:42 EDT
(In reply to comment #6)
> Pidgin should enable the plugin by default. It has a static list of plugins that
> it enables by default, and the nautilus-sendto plugin should be one of them.

The only list of plugins enabled by default are those in the Fedora provided
default prefs.xml that is used as a template the first time a user runs Pidgin
(/etc/purple/prefs.xml is effectively copied to ~/.purple/prefs.xml when
~/.purple/prefs.xml does not exist).

As I mentioned in comment #3, I added nautilus integration to this in rawhide
now. I still think you want to revert the upstream change that makes this plugin
hidden though, in that state no-one can disable the plugin if they already have
it enabled, and no-one who has used a previous version of pidgin can enable the
plugin unless they did so before it was made invisible.
Comment 8 Bug Zapper 2008-05-14 08:44:50 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Fedora Update System 2008-05-17 12:13:15 EDT
pidgin-2.4.2-1.fc7 has been submitted as an update for Fedora 7
Comment 10 Fedora Update System 2008-05-21 07:04:14 EDT
pidgin-2.4.2-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pidgin'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F7/FEDORA-2008-4251
Comment 11 Bastien Nocera 2008-05-27 04:57:53 EDT
(In reply to comment #7)
> (In reply to comment #6)
> > Pidgin should enable the plugin by default. It has a static list of plugins that
> > it enables by default, and the nautilus-sendto plugin should be one of them.
> 
> The only list of plugins enabled by default are those in the Fedora provided
> default prefs.xml that is used as a template the first time a user runs Pidgin
> (/etc/purple/prefs.xml is effectively copied to ~/.purple/prefs.xml when
> ~/.purple/prefs.xml does not exist).
> 
> As I mentioned in comment #3, I added nautilus integration to this in rawhide
> now. I still think you want to revert the upstream change that makes this plugin
> hidden though, in that state no-one can disable the plugin if they already have
> it enabled, and no-one who has used a previous version of pidgin can enable the
> plugin unless they did so before it was made invisible.

Done.

This bug should be kept open though, because the plugin not being enabled by
default with upgraded installations is a real problem. If Pidgin was using GConf
(not that I'm advocating using GConf in Pidgin), it could have a "default value"
for the key, which would mean the plugin would be enabled even if it was a new
installation.
Comment 12 Stu Tomlinson 2008-05-27 13:00:18 EDT
(In reply to comment #11)
> This bug should be kept open though, because the plugin not being enabled by
> default with upgraded installations is a real problem. If Pidgin was using GConf
> (not that I'm advocating using GConf in Pidgin), it could have a "default value"
> for the key, which would mean the plugin would be enabled even if it was a new
> installation.

Pidgin's plugin architecture doesn't allow for this right now, however it can be
simulated by using a plugin specific preference to track if it has been
force-loaded or not. I will attach a patch against Fedora devel branch of
nautilus-sendto implementing this.
Comment 13 Stu Tomlinson 2008-05-27 13:01:06 EDT
Created attachment 306801 [details]
Patch to make nautilus-sendto force load itself on first run
Comment 14 Bastien Nocera 2008-05-27 16:19:03 EDT
Functions passed to g_idle_add() are supposed to return FALSE/TRUE depending on
whether they should be run again (in your case, it needs to return FALSE).

Is that patch OK to have upstream?
Comment 15 Stu Tomlinson 2008-05-27 16:26:21 EDT
(In reply to comment #14)
> Functions passed to g_idle_add() are supposed to return FALSE/TRUE depending on
> whether they should be run again (in your case, it needs to return FALSE).

Right, I knew that, I just forgot to add the return (it is a gboolean function)
:) I should pay more attention to compiler warnings, clearly.

> Is that patch OK to have upstream?

I have no objection to the (fixed) patch being included in upstream nautilus-sendto.
Comment 16 Bastien Nocera 2008-05-28 14:12:17 EDT
Fixed upstream. I'll fix up the problem in F8/F9/rawhide when I do a new release.
Comment 17 Bug Zapper 2008-06-16 21:22:29 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.